#!/bin/bash

for file in *.cpp
do
   filename="${file%.*}"
   list="$list $filename.o"
   echo -n "Compiling $filename..."
   g++ -g -c -std=c++23 -I../CoreUtils -I../ServerCore $file &
   if [ $? = '0' ]
   then
    echo "OK"
   else
    echo "ERROR"
    exit -1
   fi

done

wait
echo -n "Building executable HTTPServer..."
g++ -g -o HTTPServer $list -std=c++23 -L../CoreUtils -lCoreUtils -L../ServerCore -lServerCore -lpthread -luuid -lssl -lcrypto
if [ $? = '0' ]
then
 echo "OK"
else
 echo "ERROR"
 exit -1
fi

rm *.o


